#!/bin/bash

ARCH=arm
KERNEL_VER=4.14-at11
KERNEL_SRC_DIR=~/Documents/linux-v4.14-at11

if [ -n ${ARCH} ]
then
	DKMS_OPTIONS="${DKMS_OPTIONS} --arch ${ARCH}"
fi

if [ -n ${KERNEL_VER} ]
then
	DKMS_OPTIONS="${DKMS_OPTIONS} --kernelver ${KERNEL_VER}"
fi

if [ -n ${KERNEL_SRC_DIR} ]
then
	DKMS_OPTIONS="${DKMS_OPTIONS} --kernelsourcedir ${KERNEL_SRC_DIR}"
fi

DKMS_OPTIONS="${DKMS_OPTIONS} --no-prepare-kernel --no-clean-kernel"

echo "[DKMS OPTIONS] ${DKMS_OPTIONS}"

#cleanup
sudo dkms remove 8192cu/1.11 --all
sudo rm -rf /usr/src/8192cu-1.11

#build
sudo dkms add ./rtl8192cu-fixes
sudo ARCH=arm dkms build 8192cu/1.11 ${DKMS_OPTIONS}
#sudo ARCH=arm dkms install 8192cu/1.11 ${DKMS_OPTIONS}

